<ion-header class="head">
  <div class="image">
    <img src="../../assets/logo.png" class="logo" />
  </div>
</ion-header>
<ion-content [fullscreen]="true" *ngIf="drink">
  
    <ion-card style="border: solid 3px #534f4f;">
      <ion-button class="boton" (click)="regresar()">
        <ion-icon class="icono" slot="start" name="close-circle"></ion-icon>
      </ion-button>
      <div class="bloque">
        <img class="bebida" src="{{drink[0].strDrinkThumb}}" />
        <ion-card-header>
          <ion-card-title class="letra">{{ drink[0].strDrink }}</ion-card-title>
        </ion-card-header>
        <ion-card-content style="color: black">
          {{ drink[0].strInstructions }}
        </ion-card-content>
      </div>
    
      <ion-list class="bloque">
        <h2 style="color:white; font-size: 17px; font-weight: bold;">INGREDIENTS</h2>
        <ion-scroll direction="y" style="height: 250px;">
          <ion-item lines="full" *ngIf="drink[0].strIngredient1 != null && drink[0].strMeasure1 != null">{{drink[0].strIngredient1}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure1}}</span></ion-item>
          <ion-item lines="inset" *ngIf="drink[0].strIngredient2 != null && drink[0].strMeasure2 != null">{{drink[0].strIngredient2}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure2}}</span></ion-item>
          <ion-item lines="full" *ngIf="drink[0].strIngredient3 != null && drink[0].strMeasure3 != null">{{drink[0].strIngredient3}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure3}}</span></ion-item>
          <ion-item lines="inset" *ngIf="drink[0].strIngredient4 != null && drink[0].strMeasure4 != null">{{drink[0].strIngredient4}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure4}}</span></ion-item>
          <ion-item lines="full" *ngIf="drink[0].strIngredient5 != null && drink[0].strMeasure5 != null">{{drink[0].strIngredient5}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure5}}</span></ion-item>
          <ion-item lines="inset" *ngIf="drink[0].strIngredient6 != null && drink[0].strMeasure6 != null">{{drink[0].strIngredient6}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure6}}</span></ion-item>
          <ion-item lines="full" *ngIf="drink[0].strIngredient7 != null &&drink[0].strMeasure7 != null">{{drink[0].strIngredient7}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure7}}</span></ion-item>
          <ion-item lines="inset" *ngIf="drink[0].strIngredient8 != null && drink[0].strMeasure8 != null">{{drink[0].strIngredient8}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure8}}</span></ion-item>
          <ion-item lines="full" *ngIf="drink[0].strIngredient9 != null && drink[0].strMeasure9 != null">{{drink[0].strIngredient9}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure9}}</span></ion-item>
          <ion-item lines="inset" *ngIf="drink[0].strIngredient10 != null && drink[0].strMeasure10 != null">{{drink[0].strIngredient10}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure10}}</span></ion-item>
          <ion-item lines="full" *ngIf="drink[0].strIngredient11 != null && drink[0].strMeasure11 != null">{{drink[0].strIngredient11}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure11}}</span></ion-item>
          <ion-item lines="inset" *ngIf="drink[0].strIngredient12 != null && drink[0].strMeasure12 != null">{{drink[0].strIngredient12}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure12}}</span></ion-item>
          <ion-item lines="full" *ngIf="drink[0].strIngredient13 != null && drink[0].strMeasure13 != null">{{drink[0].strIngredient13}}<span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure13}}</span></ion-item>
          <ion-item lines="inset" *ngIf="drink[0].strIngredient14 != null && drink[0].strMeasure14 != null">{{drink[0].strIngredient14}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure14}}</span></ion-item>
          <ion-item lines="full" *ngIf="drink[0].strIngredient15 != null && drink[0].strMeasure15 != null">{{drink[0].strIngredient15}} <span style="color: white; font-weight: bold; margin-left: 30px;"> {{drink[0].strMeasure15}}</span></ion-item>
        </ion-scroll> 
      </ion-list>
    </ion-card>
    <ion-button width=20 (click)="favorito(drink[0])" expand="block" color="dark">
      <ion-icon class="icono" slot="start" name="heart"></ion-icon>
    </ion-button>
</ion-content>
